package net.sf.jasperreports.engine;

import java.awt.Color;

public interface JRStyle extends JRStyleContainer, JRBoxContainer, JRPenContainer {
  String getName();
  
  boolean isDefault();
  
  Byte getMode();
  
  Byte getOwnMode();
  
  Color getForecolor();
  
  Color getOwnForecolor();
  
  Color getBackcolor();
  
  Color getOwnBackcolor();
  
  JRPen getLinePen();
  
  Byte getPen();
  
  Byte getOwnPen();
  
  Byte getFill();
  
  Byte getOwnFill();
  
  Integer getRadius();
  
  Integer getOwnRadius();
  
  Byte getScaleImage();
  
  Byte getOwnScaleImage();
  
  Byte getHorizontalAlignment();
  
  Byte getOwnHorizontalAlignment();
  
  Byte getVerticalAlignment();
  
  Byte getOwnVerticalAlignment();
  
  JRLineBox getLineBox();
  
  Byte getBorder();
  
  Byte getOwnBorder();
  
  Color getBorderColor();
  
  Color getOwnBorderColor();
  
  Integer getPadding();
  
  Integer getOwnPadding();
  
  Byte getTopBorder();
  
  Byte getOwnTopBorder();
  
  Color getTopBorderColor();
  
  Color getOwnTopBorderColor();
  
  Integer getTopPadding();
  
  Integer getOwnTopPadding();
  
  Byte getLeftBorder();
  
  Byte getOwnLeftBorder();
  
  Color getLeftBorderColor();
  
  Color getOwnLeftBorderColor();
  
  Integer getLeftPadding();
  
  Integer getOwnLeftPadding();
  
  Byte getBottomBorder();
  
  Byte getOwnBottomBorder();
  
  Color getBottomBorderColor();
  
  Color getOwnBottomBorderColor();
  
  Integer getBottomPadding();
  
  Integer getOwnBottomPadding();
  
  Byte getRightBorder();
  
  Byte getOwnRightBorder();
  
  Color getRightBorderColor();
  
  Color getOwnRightBorderColor();
  
  Integer getRightPadding();
  
  Integer getOwnRightPadding();
  
  Byte getRotation();
  
  Byte getOwnRotation();
  
  Byte getLineSpacing();
  
  Byte getOwnLineSpacing();
  
  Boolean isStyledText();
  
  Boolean isOwnStyledText();
  
  String getMarkup();
  
  String getOwnMarkup();
  
  String getFontName();
  
  String getOwnFontName();
  
  Boolean isBold();
  
  Boolean isOwnBold();
  
  Boolean isItalic();
  
  Boolean isOwnItalic();
  
  Boolean isUnderline();
  
  Boolean isOwnUnderline();
  
  Boolean isStrikeThrough();
  
  Boolean isOwnStrikeThrough();
  
  Integer getFontSize();
  
  Integer getOwnFontSize();
  
  String getPdfFontName();
  
  String getOwnPdfFontName();
  
  String getPdfEncoding();
  
  String getOwnPdfEncoding();
  
  Boolean isPdfEmbedded();
  
  Boolean isOwnPdfEmbedded();
  
  String getPattern();
  
  String getOwnPattern();
  
  Boolean isBlankWhenNull();
  
  Boolean isOwnBlankWhenNull();
  
  void setForecolor(Color paramColor);
  
  void setBackcolor(Color paramColor);
  
  void setMode(byte paramByte);
  
  void setMode(Byte paramByte);
  
  void setPen(byte paramByte);
  
  void setPen(Byte paramByte);
  
  void setFill(byte paramByte);
  
  void setFill(Byte paramByte);
  
  void setRadius(int paramInt);
  
  void setRadius(Integer paramInteger);
  
  void setScaleImage(byte paramByte);
  
  void setScaleImage(Byte paramByte);
  
  void setHorizontalAlignment(byte paramByte);
  
  void setHorizontalAlignment(Byte paramByte);
  
  void setVerticalAlignment(byte paramByte);
  
  void setVerticalAlignment(Byte paramByte);
  
  void setBorder(byte paramByte);
  
  void setBorder(Byte paramByte);
  
  void setBorderColor(Color paramColor);
  
  void setPadding(int paramInt);
  
  void setPadding(Integer paramInteger);
  
  void setTopBorder(byte paramByte);
  
  void setTopBorder(Byte paramByte);
  
  void setTopBorderColor(Color paramColor);
  
  void setTopPadding(int paramInt);
  
  void setTopPadding(Integer paramInteger);
  
  void setLeftBorder(byte paramByte);
  
  void setLeftBorder(Byte paramByte);
  
  void setLeftBorderColor(Color paramColor);
  
  void setLeftPadding(int paramInt);
  
  void setLeftPadding(Integer paramInteger);
  
  void setBottomBorder(byte paramByte);
  
  void setBottomBorder(Byte paramByte);
  
  void setBottomBorderColor(Color paramColor);
  
  void setBottomPadding(int paramInt);
  
  void setBottomPadding(Integer paramInteger);
  
  void setRightBorder(byte paramByte);
  
  void setRightBorder(Byte paramByte);
  
  void setRightBorderColor(Color paramColor);
  
  void setRightPadding(int paramInt);
  
  void setRightPadding(Integer paramInteger);
  
  void setRotation(byte paramByte);
  
  void setRotation(Byte paramByte);
  
  void setFontName(String paramString);
  
  void setBold(boolean paramBoolean);
  
  void setBold(Boolean paramBoolean);
  
  void setItalic(boolean paramBoolean);
  
  void setItalic(Boolean paramBoolean);
  
  void setPdfEmbedded(boolean paramBoolean);
  
  void setPdfEmbedded(Boolean paramBoolean);
  
  void setStrikeThrough(boolean paramBoolean);
  
  void setStrikeThrough(Boolean paramBoolean);
  
  void setStyledText(boolean paramBoolean);
  
  void setStyledText(Boolean paramBoolean);
  
  void setMarkup(String paramString);
  
  void setUnderline(boolean paramBoolean);
  
  void setUnderline(Boolean paramBoolean);
  
  void setLineSpacing(byte paramByte);
  
  void setLineSpacing(Byte paramByte);
  
  void setPattern(String paramString);
  
  void setBlankWhenNull(boolean paramBoolean);
  
  void setBlankWhenNull(Boolean paramBoolean);
  
  void setPdfEncoding(String paramString);
  
  void setPdfFontName(String paramString);
  
  void setFontSize(int paramInt);
  
  void setFontSize(Integer paramInteger);
  
  JRConditionalStyle[] getConditionalStyles();
}
